<?php

namespace ForoAgency\ColoredUsername\XF\Pub\View\Member;

use XF\Mvc\View;

class Find extends XFCP_Find
{
	public function renderJson()
	{
		$parent = parent::renderJson();

		$users = [];
		foreach ($this->params['users'] AS $user)
		{
			array_push($users, $user);
		}

		foreach ($parent['results'] AS $key => &$result)
		{
			$user = $users[$key];

			$iconHtml = $result['iconHtml'];
			$result['userColor'] = $user->faColoredUsernameGetUserColor();

			$result['username_color'] =  $this->renderer->getTemplater()->fn('username_link', [$user, true]);
			$result['iconHtml'] =  $result['iconHtml'] . '<span class="ColorUsernameAutoCompleteList" data-color="' . $result['userColor'] . '"></span>';
		}

		return $parent;
	}
}
